> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List of Jobs

> Retrieve a list of jobs for a specific application



## OpenAPI

````yaml /openapi/product/remote-datastats-api.yaml get /v2/applications/{applicationId}/jobs
openapi: 3.0.3
info:
  title: Domo Remote Domostats API
  description: >
    This API provides access to retrieve information about applications and jobs
    within the Domo environment. It includes methods to fetch a list of
    applications, view job details for specific applications, and update job
    configurations.
  version: 1.0.0
  contact:
    name: Domo Support
    url: https://www.domo.com
servers:
  - url: https://{instance}.domo.com
    description: Domo Remote Domostats API
    variables:
      instance:
        default: your-instance
        description: Your Domo instance name
security:
  - DeveloperToken: []
paths:
  /v2/applications/{applicationId}/jobs:
    get:
      tags:
        - Remote Domostats API
      summary: Get List of Jobs
      description: Retrieve a list of jobs for a specific application
      operationId: getJobsList
      parameters:
        - name: Application_Id
          in: path
          required: true
          schema:
            type: string
          description: ID of the application
          example: 50e7230f-d2f2-42e2-a208-d94c8ae9f64c
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
          description: The results offset. The default is 0.
      responses:
        '200':
          description: Job details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobDetails'
components:
  schemas:
    JobDetails:
      allOf:
        - $ref: '#/components/schemas/Application'
        - type: object
          properties:
            lastUpdated:
              type: integer
              format: int64
              description: Last updated timestamp
              example: 1651769880787
            validConfiguration:
              type: boolean
              description: Whether configuration is valid
              example: true
            validAccount:
              type: boolean
              description: Whether account is valid
              example: true
            adc:
              type: boolean
              description: ADC flag
              example: true
            cloudId:
              type: string
              description: Cloud ID
              example: domo
            permissions:
              type: string
              description: Permissions
              example: READ_WRITE_DELETE_SHARE_ADMIN
            tags:
              type: string
              description: Tags in JSON string format
              example: '["domoStats","domostats","c_people"]'
    Application:
      type: object
      properties:
        id:
          type: string
          description: Application ID
          example: 94a4edfa-5926-4f0c-ad1e-a341f53f6113
        displayType:
          type: string
          description: Display type of the application
          example: DataFlow
        type:
          type: string
          description: Type of the application
          example: DataFlow
        name:
          type: string
          description: Name of the application
          example: DomoStats People with Activity Log
        owner:
          $ref: '#/components/schemas/Owner'
        status:
          type: string
          description: Status of the application
          example: SUCCESS
        created:
          type: integer
          format: int64
          description: Creation timestamp
          example: 1624432428000
        lastTouched:
          type: integer
          format: int64
          description: Last touched timestamp
          example: 1651769881000
        rowCount:
          type: integer
          description: Number of rows
          example: 833556
        columnCount:
          type: integer
          description: Number of columns
          example: 18
        cardInfo:
          $ref: '#/components/schemas/CardInfo'
        properties:
          $ref: '#/components/schemas/Properties'
    Owner:
      type: object
      properties:
        id:
          type: string
          description: Owner ID
          example: ''
        name:
          type: string
          description: Owner name
          example: ''
        type:
          type: string
          description: Owner type
          example: USER
        group:
          type: boolean
          description: Whether owner is a group
          example: false
    CardInfo:
      type: object
      properties:
        cardCount:
          type: integer
          description: Number of cards
          example: 9
        cardViewCount:
          type: integer
          description: Number of card views
          example: 0
    Properties:
      type: object
      properties:
        formulas:
          type: object
          description: Formula definitions
          additionalProperties:
            $ref: '#/components/schemas/Formula'
    Formula:
      type: object
      properties:
        templateId:
          type: integer
          description: Template ID
          example: 1109
        id:
          type: string
          description: Formula ID
          example: calculation_534c74ab-37aa-48dc-8322-34bb5784a9f0
        name:
          type: string
          description: Formula name
          example: Content Creation Filter
        formula:
          type: string
          description: Formula expression
          example: >-
            (CASE WHEN ((`Object_Type` = 'CARD') AND `Action` IN ('CREATED',
            'UPDATED', 'ADDED', 'DUPLICATED', 'SHARED')) THEN 1 ELSE 0 END)
        status:
          type: string
          description: Formula status
          example: VALID
        persistedOnDataSource:
          type: boolean
          description: Whether formula is persisted on data source
          example: true
  securitySchemes:
    DeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication

````